# Garage

Garage is a lightweight AWS S3-compatible distributed object store, with the following goals:

  - As self-contained as possible
  - Easy to set up
  - Highly resilient to network failures, network latency, disk failures, sysadmin failures
  - Relatively simple
  - Made for multi-datacenter deployments

Non-goals include:

  - Extremely high performance
  - Complete implementation of the S3 API
  - Erasure coding (our replication model is simply to copy the data as is on several nodes)

Currently, Garage is deployed on our cluster (this very website is hosted on garage!) but must be considered as a technical preview.

If you want to learn more about Garage, you can check our [documentation](https://git.deuxfleurs.fr/Deuxfleurs/garage/src/branch/master/doc):
  - [Quickstart](https://git.deuxfleurs.fr/Deuxfleurs/garage/src/branch/master/doc/Internals.md), learn how to quickly interact with garage.
  - [Related Work](https://git.deuxfleurs.fr/Deuxfleurs/garage/src/branch/master/doc/Related%20Work.md), understand why we decided to build a new software instead of using existing ones.
  - [Internals](https://git.deuxfleurs.fr/Deuxfleurs/garage/src/branch/master/doc/Internals.md), contains a quick description of the data models that are used in Garage.

External links:
  - [Repository](https://git.deuxfleurs.fr/Deuxfleurs/garage/), Garage is a free software, developed on our own Gitea instance

Talks:
  - [(fr, informal) 2020-12-02 Why we decided to reinvent the wheel](https://git.deuxfleurs.fr/Deuxfleurs/garage/src/branch/master/doc/20201202_talk/talk.pdf)
